petsc-3.7.7 2017-09-25
Report Typos and Errors

# TaoSetSeparableObjectiveWeights

Give weights for the separable objective values. A vector can be used if only diagonal terms are used, otherwise a matrix can be give. If this function is not used, or if sigma_v and sigma_w are both NULL, then the default identity matrix will be used for weights.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoSetSeparableObjectiveWeights(Tao tao, Vec sigma_v, PetscInt n, PetscInt *rows, PetscInt *cols, PetscReal *vals)

Collective on Tao

### Input Parameters

| tao | - the Tao context
| sigma_v | - vector of weights (diagonal terms only)
| n | - the number of weights (if using off-diagonal)
| rows | - index list of rows for sigma_w
| cols | - index list of columns for sigma_w
| vals | - array of weights

Note: Either sigma_v or sigma_w (or both) should be NULL

### See Also

TaoSetSeparableObjectiveRoutine()

Level:intermediate
Location:src/tao/interface/taosolver_fg.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages